# Interface Nodes

#### Hierarchy

- Nodes

#####
Index

### Properties

borderColor
borderWidth
categories
color
drilling
id
label
labelDisplay
labelHalign
labelStyle
nodes
pattern
radius
selectable
shortDesc
showDisclosure
svgClassName
svgStyle
value

## Properties

### borderColor

borderColor: string

The border color of the node.

### borderWidth

borderWidth: number

The border width of the node.

### categories

categories: string[]

An optional array of category strings corresponding to this data item. This enables highlighting and filtering of individual data items through interactions with the legend and other visualization elements. The categories array of each node is required to be a superset of the categories array of its parent node. If not specified, the ids of the node and its ancestors will be used.

### color

color: string

The fill color of the node.

### drilling

drilling: string

Specifies whether drilling is enabled for the node. Drillable nodes will show a pointer cursor on hover and fire an ojDrill event on click (double click if selection is enabled). To enable drilling for all nodes at once, use the drilling attribute in the top level.

### id

id: any

The id of the node. For the DataProvider case, the key for the node will be used as the id.

### label

label: string

The label for this node.

### labelDisplay

labelDisplay: string

The label display behavior for the nodes. More labels are generally displayed when using rotation, with the trade off of readability. When auto is used, rotated or horizontal labels will be used based on the client browser and platform.

### labelHalign

labelHalign: string

The horizontal alignment for labels displayed within the node. Only applies to rotated text.

### labelStyle

labelStyle: object

The CSS style object defining the style of the label. The following style properties are supported: color, cursor, fontFamily, fontSize, fontStyle, fontWeight, textDecoration. The default value comes from the CSS and varies based on theme. The default value comes from the CSS and varies based on theme.

### nodes

nodes: object[]

An array of objects with properties for the child nodes.

### pattern

pattern: string

The pattern used to fill the node.

### radius

radius: number

The radius of the node relative to the other nodes.

### selectable

selectable: string

Specifies whether or not the node will be selectable.

### shortDesc

shortDesc: null | string

The description of this element. Will be lazily created if a function is used. This is used for accessibility and also for customizing the tooltip text.

### showDisclosure

showDisclosure: string

Specifies whether to display the expand/collapse button on hover for a specific node. If the button is clicked, the expanded attribute is updated with the new array of node ids.

### svgClassName

svgClassName: string

The CSS style class to apply to the node. The style class and inline style will override any other styling specified through the properties. For tooltip interactivity, it's recommended to also pass a representative color to the node color attribute.

### svgStyle

svgStyle: object

The inline style to apply to the node. The style class and inline style will override any other styling specified through the properties. For tooltip interactivity, it's recommended to also pass a representative color to the node color attribute. Only SVG CSS style properties are supported. The default value comes from the CSS and varies based on theme.

#### Deprecated

Since 18.1.0. The svgStyle property is deprecated. This API is not recommended in Redwood theme. Use other customization APIs where appropriate.

### value

value: number

The value of the node, which determines the relative size of the node.

Generated using TypeDoc